## org.codehaus.groovy.grails.commons
Class ApplicationHolder

    java.lang.Object
      org.codehaus.groovy.grails.commons.ApplicationHolder

    public abstract class ApplicationHolder

extends Object

Static singleton holder for the GrailsApplication instance

Author:
  Marc Palmer (marc@anyware.co.uk)

Constructor Summary
`ApplicationHolder()`

Method Summary
`static GrailsApplication` `getApplication()`
`static void` `setApplication(GrailsApplication application)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationHolder

    public ApplicationHolder()

Method Detail

### getApplication

    public static GrailsApplication getApplication()

### setApplication

    public static void setApplication(GrailsApplication application)

Copyright (c) 2005-2009 The Grails project